int ButtonPin0=7;
int ButtonPin1=6;
int ButtonPin2=5;
int ButtonPin3=4;
int ButtonPin4=3;
int j=0;
int z=0;
int i=0;
int BuzzerCode1[14]={262,262,364,364,400,400,384,392,392,349,349,310,310,284};
int BuzzerCode2[14]={100,200,300,400,450,400,300,200,100,200,300,200,300,200};
int BuzzerCode3[14]={300,300,300,300,300,300,400,400,400,400,400,400,400,400};
const unsigned char LED8Pin[]=
	{
  	  30,31,32,33,34,35,36,37
 	};//A B C D E F G Dp
const unsigned char LED4Code[]={
  0x06,    // 1
  0x5b,    // 2
  0x4f,    // 3
  0x66,    // 4
  0x6d,    // 5
  0x7d,    // 6
  0x07,    // 7
  0x7f,    // 8
  0x6f,    // 9    
};
const unsigned char LED4Code1[]={

  0x63,0x5c,0x5c,0x63,
  0x63,0x5c,0x5c,0x63,
  0x63,0x5c,0x5c,0x63,
  0x63,0x5c,0x5c,0x63,
  0x63,0x63,
};
void setup()
{
  pinMode(ButtonPin0,INPUT);
  pinMode(ButtonPin1,INPUT);
  pinMode(ButtonPin2,INPUT);
  pinMode(ButtonPin3,INPUT);
  pinMode(ButtonPin4,INPUT);
  pinMode(40,OUTPUT);
  pinMode(41,OUTPUT);
  pinMode(42,OUTPUT);
  pinMode(43,OUTPUT);
  digitalWrite(40,HIGH);
  digitalWrite(41,HIGH);
  digitalWrite(42,HIGH);
  digitalWrite(43,LOW);
  LedShow(0);
  digitalWrite(ButtonPin0,HIGH);
  digitalWrite(ButtonPin1,HIGH);
  digitalWrite(ButtonPin2,HIGH);
  digitalWrite(ButtonPin3,HIGH);
  digitalWrite(ButtonPin4,HIGH);
}

void loop() {  
  
if(digitalRead(ButtonPin4)==0)
{
  delay(10);
  if(digitalRead(ButtonPin4)==0)
  {
    
    while(1)
    {
      for(int a=0;a<14;a++)
      {
        tone(0,BuzzerCode1[a],200);
        delay(500);
        Buzzer_Z();
        LedShow1(a);
        pinShow(a);
        delay(60);
        noShow();
      }
      for(int b=0;b<14;b++)
      {
        tone(0,BuzzerCode2[b],200);
        delay(500);
        Buzzer_Z();
        LedShow1(b);
        pinShow(b);
        delay(60);
        noShow();
      }
      for(int c=0;c<14;c++)
      {
        tone(0,BuzzerCode3[c],200);
        delay(500);
        Buzzer_Z();
        LedShow1(c);
        pinShow(c);
        delay(60);
        noShow();
      }
    }
  }
}
  
if(digitalRead(ButtonPin0)==0)
{
  delay(10);
  if(digitalRead(ButtonPin0)==0)
  {
    i++;
    if(i==3)
     i=0;
  }
  while(!digitalRead(ButtonPin0));
  digitalWrite(43,LOW);
   LedShow(i);
}

if(digitalRead(ButtonPin1)==0)
{
  delay(10);
  if(digitalRead(ButtonPin1)==0)
  {
    i--;
    if(i==-1)
     i=2;
  }
  while(!digitalRead(ButtonPin1));
  digitalWrite(43,LOW);
  LedShow(i);
}

if(!digitalRead(ButtonPin3))
{
  delay(10);
  if(!digitalRead(ButtonPin3))
  {
    j++;
    if(j==2)
      j=0;
  }
  while(!digitalRead(ButtonPin3));
}

if(j)
{
  if(i==0)
  {
    for(int a=0;a<14;a++)
    {
      tone(0,BuzzerCode1[a],200);
      delay(500);
      Buzzer_Z();
      LedShow1(a);
      pinShow(a);
      delay(60);
      noShow();
    }
  }
  
  if(i==1)
  {
    for(int b=0;b<14;b++)
    {
      tone(0,BuzzerCode2[b],200);
      delay(500);
      Buzzer_Z();
      LedShow1(b);
      pinShow(b);
      delay(60);
      noShow();
    }
  }
  
  if(i==2)
  {
    for(int c=0;c<14;c++)
    {
      tone(0,BuzzerCode3[c],200);
      delay(500);
      Buzzer_Z();
      LedShow1(c);
      pinShow(c);
      delay(60);
      noShow();
    }
  }
}

}

void Buzzer_Z()
{
    if(!digitalRead(ButtonPin2))
    {
      delay(10);
      if(!digitalRead(ButtonPin2))
      {
         z++;
      }
      while(!digitalRead(ButtonPin2));
    }
    while((z%2)==1)
    {
    if(!digitalRead(ButtonPin2))
    {
      delay(10);
      if(!digitalRead(ButtonPin2))
      {
         z++;
      }
      while(!digitalRead(ButtonPin2));
    }
    digitalWrite(0, 0);
    };  
}

void LedShow(char data)
{
  char i,j,hc; 
  if(0<=data<10)
  {
    hc = LED4Code[data];
    for(i=0;i<8;i++)
    {
      j = bitRead(hc,i);
      digitalWrite(LED8Pin[i], j);
    }
  }
}

void LedShow1(char data)
{
  char i,j,hc; 
  if(0<=data<10)
  {
    hc = LED4Code1[data];
    for(i=0;i<8;i++)
    {
      j = bitRead(hc,i);
      digitalWrite(LED8Pin[i], j);
    }
  }
}
void pinShow(char da)
{
  if(da==0)
  digitalWrite(40,LOW);
  if(da==1)
  digitalWrite(41,LOW);
  if(da==2)
  digitalWrite(42,LOW);
  if(da==3)
  digitalWrite(43,LOW);
  if(da==4)
  digitalWrite(40,LOW);
  if(da==5)
  digitalWrite(41,LOW);
  if(da==6)
  digitalWrite(42,LOW);
  if(da==7)
  digitalWrite(43,LOW);
  if(da==8)
  digitalWrite(40,LOW);
  if(da==9)
  digitalWrite(41,LOW);
  if(da==10)
  digitalWrite(42,LOW);
  if(da==11)
  digitalWrite(43,LOW);
  if(da==12)
  digitalWrite(40,LOW);
  if(da==13)
  digitalWrite(41,LOW);
}
void noShow()
{
  digitalWrite(40,HIGH);
  digitalWrite(41,HIGH);
  digitalWrite(42,HIGH);
  digitalWrite(43,HIGH);
}
